/*
 * Copyright (c) 2004-2007 Extreme! Lab, Indiana University. All rights reserved.
 *
 * This software is open source. See the bottom of this file for the license.
 *
 * $Id: XBayaConstants.java,v 1.47 2007/07/19 22:59:52 sshirasu Exp $
 */

package edu.indiana.extreme.xbaya;

import java.net.URI;

/**
 * @author Satoshi Shirasuna
 */
public class XBayaConstants {

    // private static final MLogger logger = MLogger.getLogger();

    /**
     * XBaya
     */
    public static final String APPLICATION_SHORT_NAME = "XBaya";

    /**
     * The name of the application
     */
    public static final String APPLICATION_NAME = "XBaya Workflow Composer";

    /**
     * The URL of the web page of the application
     */
    public static final URI WEB_URL = URI
            .create("http://www.extreme.indiana.edu/xgws/xbaya/");

    /**
     * Namespace URI
     */
    public static final String NS_URI_XBAYA = "http://www.extreme.indiana.edu/xbaya/";

    // Default values

    /**
     * Default URL of the GPEL Engine
     */
    public static final URI DEFAULT_GPEL_ENGINE_URL = URI
            .create("https://tyr13.cs.indiana.edu:7443/gpel/");

    /**
     * Default URL of the WSDL of the resource catalog.
     */
    public static final URI DEFAULT_RESOURCE_CATALOG_URL = URI
            .create("https://everest.extreme.indiana.edu:20443/resource_catalog");

    /**
     * DEFAULT_GFAC_URL
     */
    public static final URI DEFAULT_GFAC_URL = URI
            .create("https://tyr12.cs.indiana.edu:23443/");

    /**
     * DEFAULT_GFAC_REGISTRY_URL
     */
    public static final URI DEFAULT_GFAC_REGISTRY_URL = null;

    /**
     * DEFAULT_XREGISTRY_URL
     */
    public static final URI DEFAULT_XREGISTRY_URL = URI
            .create("https://tyr14.cs.indiana.edu:6666/xregistry");

    /**
     * DEFAULT_TOPIC
     */
    public static final String DEFAULT_TOPIC = "xbaya-topic";

    /**
     * Default notification broker URL.
     */
    public static final URI DEFAULT_BROKER_URL = URI
            .create("http://tyr11.cs.indiana.edu:12346/");

    /**
     * Default message box URL.
     */
    public static final URI DEFAULT_MESSAGE_BOX_URL = URI
            .create("http://tyr11.cs.indiana.edu:13333/MsgBox");

    /**
     * DEFAULT_DSC_URL
     */
    public static final URI DEFAULT_DSC_URL = URI
            .create("https://tyr12.cs.indiana.edu:25443/");

    /**
     * Default myLead agent URL
     */
    public static final URI DEFAULT_MYLEAD_AGENT_URL = URI
            .create("https://tyr03.cs.indiana.edu:20243/myleadagent");

    /**
     * DEFAULT_MYLEAD_SAMPLE_USER
     */
    public static final String DEFAULT_MYLEAD_SAMPLE_USER = "/O=LEAD Project/OU=portal.leadproject.org/OU=cs.indiana.edu/CN=drworkflow/Email=drlead@extreme.indiana.edu";

    /**
     * DEFAULT_MYLEAD_SAMPLE_PROJECT_NAME
     */
    public static final String DEFAULT_MYLEAD_SAMPLE_PROJECT_NAME = "Sample Workflows";

    /**
     * DEFAULT_MYLEAD_SAMPLE_PROJECT_ID
     */
    public static final String DEFAULT_MYLEAD_SAMPLE_PROJECT_ID = "urn:uuid:c39898d5-25ce-4b92-8144-0d04a5f567d3";

    /**
     * DEFAULT_MYPROXY_SERVER
     */
    public static final String DEFAULT_MYPROXY_SERVER = "linbox1.extreme.indiana.edu";

    /**
     * DEFAULT_MYPROXY_PORT
     */
    public static final int DEFAULT_MYPROXY_PORT = 7512;

    /**
     * DEFAULT_MYPROXY_LIFTTIME
     */
    public static final int DEFAULT_MYPROXY_LIFTTIME = 3600;

    /**
     * DEFAULT_WEB_REGISTRY
     */
    public static final URI DEFAULT_WEB_REGISTRY = URI
            .create("http://www.extreme.indiana.edu/xgws/wsdl/");

    // File suffixes

    /**
     * File suffix for XML
     */
    public static final String XML_SUFFIX = ".xml";

    /**
     * File suffix for WSDL
     */
    public static final String WSDL_SUFFIX = ".wsdl";

    /**
     * File suffix for WSDL
     */
    public static final String WSDL_SUFFIX2 = "-wsdl.xml";

    /**
     * Suffix of a graph file
     */
    public static final String GRAPH_FILE_SUFFIX = ".xgr";

    /**
     * Suffix of a workflow file
     */
    public static final String WORKFLOW_FILE_SUFFIX = ".xwf";

    /**
     * File suffix for Jython scripts
     */
    public static final String JYTHON_SCRIPT_SUFFIX = ".py";

    /**
     * File suffix for BPEL
     */
    public static final String BPEL_SUFFIX = ".bpel";

    /**
     * File suffix for PNG
     */
    public static final String PNG_SUFFIX = ".png";

    /**
     * Format name for png image
     */
    public static final String PNG_FORMAT_NAME = "PNG";

}

/*
 * Indiana University Extreme! Lab Software License, Version 1.2
 * 
 * Copyright (c) 2004-2007 The Trustees of Indiana University. All rights
 * reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * 1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 * 
 * 2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 * 
 * 3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 * 
 * "This product includes software developed by the Indiana University Extreme!
 * Lab. For further information please visit http://www.extreme.indiana.edu/"
 * 
 * Alternatively, this acknowledgment may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 * 
 * 4) The name "Indiana University" or "Indiana University Extreme! Lab" shall
 * not be used to endorse or promote products derived from this software without
 * prior written permission from Indiana University. For written permission,
 * please contact http://www.extreme.indiana.edu/.
 * 
 * 5) Products derived from this software may not use "Indiana University" name
 * nor may "Indiana University" appear in their name, without prior written
 * permission of the Indiana University.
 * 
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of any
 * other entity. Indiana University disclaims any liability to any recipient for
 * claims brought by any other entity based on infringement of intellectual
 * property rights or otherwise.
 * 
 * LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 * WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 * NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 * INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 * INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 * "VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 * LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 * ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 * GENERATED USING SOFTWARE.
 */
